post
https://sandbox-api.coris.ai/api/v0_2/accounts//merchant_profiler_pdf_report/
Use this when you hold an account ID or reference_id: it starts a job to build a PDF report of an account's data. Use it when you do not want to hold a connection open. For an establishment.id, use Request a PDF report.
Lifecycle: poll Get an account PDF report with the request_id: 425 means not ready, and 200 means complete (see Handle async requests).
sequenceDiagram accTitle: Request an account PDF report sequence diagram accDescr: Request an account PDF report. You send POST .../merchant_profiler_pdf_report/. Coris replies 201 request_id. You send GET ?request_id=... Coris replies 425 not ready. You send GET ?request_id=... Coris replies 200 complete. Coris sends POST callback_url, if sent. participant You participant Coris You->>Coris: POST .../merchant_profiler_pdf_report/ Coris-->>You: 201 request_id You->>Coris: GET ?request_id=... Coris-->>You: 425 not ready You->>Coris: GET ?request_id=... Coris-->>You: 200 complete Coris->>You: POST callback_url, if sent
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Callback